package com.ga.core.mapper.approval;

import com.ga.core.vo.approval.ApprovalHistoryResp;
import com.ga.core.vo.approval.ApprovalHistorySearchParam;
import com.ga.core.vo.approval.ApprovalHistoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ApprovalHistoryMapper {
    List<ApprovalHistoryResp> selectByRequest(@Param("requestId") Long requestId);
    List<ApprovalHistoryResp> selectList(ApprovalHistorySearchParam param);
    int insert(ApprovalHistoryVO vo);
}
